- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_File_Direct_Info Struct Reference
File

A structure to store informations of a path. More...

## Data Fields
size_t | path_length
| size of the whole path
size_t | name_length
| size of the filename/basename component
size_t | name_start
| where the filename/basename component starts
Eina_File_Type | type
| file type
char | path [EINA_PATH_MAX]
| the path

## Detailed Description

A structure to store informations of a path.

Examples:
  eina_file_01.c.